Subject: bug#22418: Potential Bug with 'df'

From: "Darrell Kitchen" <[email-masked]>
Date: Thu, 21 Jan 2016 01:30:12 +0100

I can't get 'df' to report the correct device name, as /dev/???n, when I use 'df' in specific ways relating to the root directory of my current drive.  My drive is partitioned into boot, root, swap, and home parts.  When I 'df' any of the directories mounted to / (i.e, /boot or /home, or /dev/sda1 (boot part), or /dev/sda3 (home part)) I get the correct information, but not when I 'df' the root specifically either specifying / or /dev/sda2 (root part). For instance (using only the source in this example and the root):

df / returns (for /): /dev/disk/by-uuid/bcf1b9ae-f48f-4dd7-a633-383e03e55b9e as the Filesystem

df returns (for /): /dev/sda2 as the Filesystem

df /boot / /home returns (for /): /dev/disk/by-uuid/bcf1b9ae-f48f-4dd7-a633-383e03e55b9e as the Filesystem

df -i /dev/sda1 /dev/sda2 /dev/sda3 returns (for /): udev (as the Filesystem) ... (mounted on) /dev

/dev/sda1 is mounted to /boot, /dev/sda2 is mounted to /, and /dev/sda3 is mounted to /home

I am running two computers and this is happening on both of them, although the device names will vary between the two, but it happens on them both when I try to 'df' the root directlry (/) with any of the options available to 'df'.  I am using a Linux distribution called Ubuntu 14.04.3 LTS